//
//  ContentMainTabReplayRepository.swift
//  SodaLive
//
//  Created by klaus on 2/22/25.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class ContentMainTabReplayRepository {
    
    private let api = MoyaProvider<ContentApi>()
    
    func getContentMainReplay() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(
            .getContentMainReplay(
                isAdultContentVisible: UserDefaults.isAdultContentVisible(),
                contentType: ContentType(rawValue: UserDefaults.string(forKey: .contentPreference)) ?? ContentType.ALL
            )
        )
    }
    
    func getPopularContentByCreator(creatorId: Int) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(
            .getPopularReplayContentByCreator(
                creatorId: creatorId,
                isAdultContentVisible: UserDefaults.isAdultContentVisible(),
                contentType: ContentType(rawValue: UserDefaults.string(forKey: .contentPreference)) ?? ContentType.ALL
            )
        )
    }
}
